Vector Class Reference
Collaboration diagram for Vector:
[legend]

## Public Member Functions

| Vector (Vector &v)
| Vector (int d)
| Vector (const char *text)
| Vector (const char *text, int d)
| Vector (const char *text, Vector &v)
void | Dimension (int d)
void | Dimension (int d, double value)
void | GrowTo (int d)
void | GrowTo (int d, double value)
int | Length () const
void | SetLabel (const char *text)
void | Zero ()
void | Set (double k)
void | Set (Vector &v)
void | SetMultiple (double k, Vector &v)
void | Negate ()
void | Add (double n)
void | Multiply (double k)
double | InnerProduct (Vector &v)
void | Copy (const Vector &v)
void | Add (Vector &v)
void | AddMultiple (double k, Vector &v)
void | Subtract (Vector &v)
void | Product (Matrix &m, Vector &v)
double & | operator[] (int n)
double | operator[] (int n) const
double | operator[] (double fraction)
double & | operator[] (double fraction) const
Vector & | operator= (const Vector &v)
bool | operator== (const Vector &v) const
bool | operator!= (const Vector &v) const
void | Swap (int i, int j)
void | Swap (Vector &rhs)
Vector & | operator*= (double rhs)
Vector & | operator+= (double rhs)
Vector & | operator-= (double rhs)
Vector & | operator/= (double rhs)
Vector & | operator+= (Vector &rhs)
Vector & | operator-= (Vector &rhs)
void | DeleteDimension (int n)
void | Delete (int n)
void | Insert (int n, double value)
void | AveVar (double &ave, double &var) const
double | Average () const
double | Var () const
double | StandardDeviation () const
double | Average (double returnIfNull)
double | Var (double returnIfNull)
double | StandardDeviation (double returnIfNull)
double | Sum () const
double | SumSquares () const
double | Product () const
double | Min () const
double | Max () const
int | CountIfGreater (double treshold) const
int | CountIfGreaterOrEqual (double treshold) const
void | Stack (const Vector &v)
void | Print (int maxDim=-1)
void | Print (FILE *output, int maxDim=-1)
void | Sort ()
void | Reverse ()
void | Sort (Vector &freeRider)
int | BinarySearch (double value)
int | FastFind (double value)
void | RemoveDuplicates ()
double & | First ()
double & | Last ()
void | Clear ()
void | Push (double value)
double | Pop ()
double | Peek () const
void | InsertInSortedList (int item)
bool | isAscending ()
bool | isDescending ()
int | SafeCount () const
double | SafeMin () const
double | SafeMax () const

## Public Attributes

int | dim
int | size
double * | data
String | label

## Static Public Attributes

static int | alloc = 32

## Detailed Description

Definition at line 28 of file MathVector.h.

The documentation for this class was generated from the following files:

- general/MathVector.h
- general/MathVector.cpp